from django.urls import path

from .views import home, create_mood_entry, dashboard, AboutView, ContactView, PrivacyPolicyView, SignUpView, save_mood_entry

app_name = 'core'

urlpatterns = [
    path("", home, name="index"),
    path('signup/', SignUpView.as_view(), name='signup'),
    path('mood/new/', create_mood_entry, name='create_mood_entry'),
    path('mood/save/', save_mood_entry, name='save_mood_entry'),
    path('dashboard/', dashboard, name='dashboard'),
    path('about/', AboutView.as_view(), name='about'),
    path('contact/', ContactView.as_view(), name='contact'),
    path('privacy-policy/', PrivacyPolicyView.as_view(), name='privacy_policy'),
]